<div class="create-report" *ngIf="currentPage == currentPageReport.createReport">
    <div class="location d-flex align-items-center justify-content-between">
        <div class="d-flex align-items-center">
            <span class="material-symbols-outlined">
                location_on
            </span>

            <div>
                <span *ngIf="location == null" class="d-flex  align-items-center" style="width: 250px;">

                    <small class="mr-3">lat</small>
                    <mat-form-field appearance="outline" style="width: 50%;" class="mr-3">
                        <input matInput type="number" placeholder=" " [(ngModel)]="lat" [disabled]="isEdit"
                            (input)="onLocationFormChange()">
                    </mat-form-field>
                    <small class="mr-3">lon</small>
                    <mat-form-field appearance="outline" style="width: 50%;">
                        <input matInput type="number" placeholder=" " [(ngModel)]="lon" [disabled]="isEdit"
                            (input)="onLocationFormChange()">
                    </mat-form-field>

                </span>
                <small *ngIf="location != null">
                    Long : <strong>{{location.lon.toFixed(6)}}</strong> Lat :
                    <strong>{{location.lat.toFixed(6)}}</strong><br>
                    {{ location.address }}
                </small>
            </div>
        </div>
        <div *ngIf="location != null && !isEdit">
            <span class="material-symbols-outlined pointer " (click)="onDeleteLocation()">
                cancel
            </span>
        </div>

        <div class="">
            <small class="select-location pointer" (click)="onSelectLocation()"
                *ngIf="locationFromMap != null && !isLoadingGetlocation">เลือก</small>

            <div *ngIf="isLoadingGetlocation" class="spinner-border text-warning spinner-border-sm" role="status">
                <span class="sr-only"></span>
            </div>
        </div>
    </div>


    <form [formGroup]="createReportForm">
        <div class="input-box">
            <small>ประเภท *</small>
            <mat-form-field appearance="outline" style="width: 100%;">
                <mat-select formControlName="reportType">
                    <mat-option [value]="item.id" *ngFor="let item of reportTypeList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.type}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>

        <div class="input-box">
            <small>รายงานเรื่อง *</small>
            <mat-form-field appearance="outline" style="width: 100%;">
                <input matInput placeholder=" " formControlName="name">
            </mat-form-field>
        </div>

        <div class="input-box d-flex">
            <div style="margin-right: 10px;">
                <small>วันที่เกิดเหตุ *</small><br>
                <mat-form-field appearance="outline" style="width: 200px;">
                    <input matInput [matDatepicker]="picker" formControlName="date">
                    <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                    <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
            </div>
            <div style="width: 50%;">
                <small>เวลา *</small><br>
                <div class="time-box " [ngClass]="{'time-box-disable':isEdit}">
                    <app-time-picker (eventTime)="onTimeChange($event)" [time]="time"
                        [disable]="isEdit"></app-time-picker>
                </div>
            </div>
        </div>

        <div class="input-box">
            <small>รายละเอียด </small>
            <mat-form-field appearance="outline"
                style="width: 100%;  height: 65px !important; padding: 0px !important;">
                <textarea matInput style=" height: 65px" formControlName="description"></textarea>
            </mat-form-field>
        </div>


        <div class="draw  mt-3" *ngIf="createReportForm.controls.reportType.value && isEdit">
            <div class="d-flex justify-content-between">
                <small>การใช้ทรัพยากร</small>
                <span class="material-symbols-outlined pointer" (click)="resourceUse()">
                    navigate_next
                </span>
            </div>
        </div>



        <!-- <div class="draw d-flex justify-content-between ">
            <small>วาดข้อมูลประกอบ</small>
            <span class="material-symbols-outlined pointer" (click)="drawDetail()">
                navigate_next
            </span>
        </div> -->

        <div class="input-box" *ngIf="createReportForm.controls.reportType.value ">
            <small>ประกาศเขตภัย </small>
            <mat-form-field appearance="outline"
                style="width: 100%;  height: 65px !important; padding: 0px !important;">
                <textarea matInput style=" height: 65px" formControlName="disZone"></textarea>
            </mat-form-field>
        </div>

        <div class="input-box" *ngIf="createReportForm.controls.reportType.value ">
            <small>ประกาศเขตให้ความช่วยเหลือ </small>
            <mat-form-field appearance="outline"
                style="width: 100%;  height: 65px !important; padding: 0px !important;">
                <textarea matInput style=" height: 65px" formControlName="relfZone"></textarea>
            </mat-form-field>
        </div>

        <div class="input-box">
            <small>สถานะ *</small>
            <mat-form-field appearance="outline" style="width: 100%;">
                <mat-select formControlName="status">
                    <mat-option [value]="item.id" *ngFor="let item of statusList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.type}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </form>
    <br>
    <div class="input-box">
        <small>ไฟล์ประกอบ</small><br>
        <small>วิดีโอ Link </small>
        <mat-form-field class="mb-3" appearance="outline" style="width: 100%;">
            <input matInput placeholder="Link" [(ngModel)]="videoLink">
        </mat-form-field>
        <button class="btn-file" mat-raised-button style="margin-top: 3px" (click)="onPickFile()">เลือกไฟล์
        </button>

        <input #fileUpload type="file" accept="image/*,.pdf" style="display: none" multiple
            (input)="handleFileBaseChange($event)" />

        <div class="row" *ngIf="fileDisplay.length > 0">
            <br>
            <div class="file-item d-flex justify-content-center  align-items-center" *ngFor="let item of fileDisplay">
                <img *ngIf="item.type !='application/pdf'" [src]="item.src" style="width: 100%;">
                <div class=" text-center" *ngIf="item.type == 'application/pdf'">
                    <img src="../../../assets/image/pdf.png" style="width: 50%;"><br>
                    <small>{{item.name}}</small>
                </div>

                <div class="btn-delete d-flex justify-content-center align-items-center"
                    (click)="onDeleteImage(item)">
                    <span class="material-symbols-outlined">
                        close
                    </span>
                </div>
            </div>
            <br><br>
        </div>
    </div>
    <br><br>

    <div class="input-box d-flex justify-content-center">
        <button class="mr-3" mat-raised-button style="margin-top: 3px;" (click)="onClose()">ยกเลิก</button>
        <button class="btn-save" mat-raised-button style="margin-top: 3px;" (click)="onSave()"
            [disabled]="createReportForm.invalid || location == null">บันทึก</button>
    </div>
</div>


<div class="resource-page" *ngIf="currentPage == currentPageReport.resourceList">
    <app-resource [incident]="incident" [reportSelected]="reportSelected"
        (eventCloseResource)="onCloseResource()"></app-resource>
</div>